## dexter 0.1.7

=== DESCRIPTION ===
Package: dexter
Type: Package
Title: Data Management and Basic Analysis of Tests
Version: 0.1.7
Author: Gunter Maris, Timo Bechger, Ivailo Partchev
Maintainer: Ivailo Partchev <Ivailo.Partchev@cito.nl>
Description: Data handling, Rasch model and Haberman's interaction model for
    educational and psychological tests that may involve multiple test forms or
    stages.
License: GPL (>= 2)
Encoding: UTF-8
LazyLoad: yes
LazyData: yes
Depends: R (>= 2.10), RSQLite, plyr, reshape2, colorspace
Imports: graphics, utils
RoxygenNote: 5.0.1
Suggests: knitr, rmarkdown, latticeExtra
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2017-02-07 20:49:40 UTC; ivailo
Repository: CRAN
Date/Publication: 2017-02-08 12:46:22

## dexter 0.2-1

=== Makefile ===
#############################################################################
# Makefile for building: Dexter
# Generated by qmake (2.01a) (Qt 4.6.1) on: Mon Feb 1 02:14:12 2010
# Project:  TekstiTv.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile TekstiTv.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		tekstitv.cpp \
		numberbutton.cpp \
		imagewidget.cpp \
		mainwindow.cpp \
		commontekstitv.cpp moc_tekstitv.cpp \
		moc_numberbutton.cpp \
		moc_imagewidget.cpp \
		moc_mainwindow.cpp \
		moc_abstracttekstitv.cpp \
		moc_commontekstitv.cpp
OBJECTS       = main.o \
		tekstitv.o \
		numberbutton.o \
		imagewidget.o \
		mainwindow.o \
		commontekstitv.o \
		moc_tekstitv.o \
		moc_numberbutton.o \
		moc_imagewidget.o \
		moc_mainwindow.o \
		moc_abstracttekstitv.o \
		moc_commontekstitv.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		TekstiTv.pro
QMAKE_TARGET  = Dexter
DESTDIR       = 
TARGET        = Dexter

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: TekstiTv.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile TekstiTv.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile TekstiTv.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Dexter1.0.0 || $(MKDIR) .tmp/Dexter1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Dexter1.0.0/ && $(COPY_FILE) --parents sym_iap_util.h tekstitv.h numberbutton.h imagewidget.h mainwindow.h abstracttekstitv.h commontekstitv.h .tmp/Dexter1.0.0/ && $(COPY_FILE) --parents main.cpp tekstitv.cpp numberbutton.cpp imagewidget.cpp mainwindow.cpp commontekstitv.cpp .tmp/Dexter1.0.0/ && (cd `dirname .tmp/Dexter1.0.0` && $(TAR) Dexter1.0.0.tar Dexter1.0.0 && $(COMPRESS) Dexter1.0.0.tar) && $(MOVE) `dirname .tmp/Dexter1.0.0`/Dexter1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Dexter1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_tekstitv.cpp moc_numberbutton.cpp moc_imagewidget.cpp moc_mainwindow.cpp moc_abstracttekstitv.cpp moc_commontekstitv.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_tekstitv.cpp moc_numberbutton.cpp moc_imagewidget.cpp moc_mainwindow.cpp moc_abstracttekstitv.cpp moc_commontekstitv.cpp
moc_tekstitv.cpp: imagewidget.h \
		abstracttekstitv.h \
		tekstitv.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) tekstitv.h -o moc_tekstitv.cpp

moc_numberbutton.cpp: tekstitv.h \
		imagewidget.h \
		abstracttekstitv.h \
		numberbutton.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) numberbutton.h -o moc_numberbutton.cpp

moc_imagewidget.cpp: imagewidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) imagewidget.h -o moc_imagewidget.cpp

moc_mainwindow.cpp: tekstitv.h \
		imagewidget.h \
		abstracttekstitv.h \
		mainwindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_abstracttekstitv.cpp: abstracttekstitv.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) abstracttekstitv.h -o moc_abstracttekstitv.cpp

moc_commontekstitv.cpp: abstracttekstitv.h \
		commontekstitv.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) commontekstitv.h -o moc_commontekstitv.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp tekstitv.h \
		imagewidget.h \
		abstracttekstitv.h \
		mainwindow.h \
		sym_iap_util.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

tekstitv.o: tekstitv.cpp tekstitv.h \
		imagewidget.h \
		abstracttekstitv.h \
		numberbutton.h \
		commontekstitv.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tekstitv.o tekstitv.cpp

numberbutton.o: numberbutton.cpp numberbutton.h \
		tekstitv.h \
		imagewidget.h \
		abstracttekstitv.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o numberbutton.o numberbutton.cpp

imagewidget.o: imagewidget.cpp imagewidget.h

=== debian/changelog ===
dexter (0.2-1) unstable; urgency=low

  * Switch site works (reads from a config file) (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Juha Linnanen <pillar15@gmail.com>  Sat, 23 Jan 2010 17:02:17 +0000

dexter (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <maemo@unknown>  Sat, 23 Jan 2010 17:02:17 +0000

=== debian/control ===
Source: dexter
Section: user/network
Priority: extra
Maintainer: Juha Linnanen <pillar15@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev (>= 4.6), mce-dev
Standards-Version: 3.7.2

Package: dexter
Architecture: armel
Depends: 
Description: Quicky read Text-TV (currently finnish YLE support)
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAIAAAAlC+aJAAAAAXNSR0IArs4c
 6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAB6sSURB
 VGhDvXoHXFVH2v5z7zlcepcqHewS7FIFGzbEXmPEHmPZqFGjiSbW2HbVxGSz
 scQUe6LGFo3dqKjYKzaUpiIgSFHa4d7/M+cguprd327+3/cN93eYM2fmnXfe
 Pu+MTtYfAtpUGhUzM12FAnNzKBVQKiHrYTDH8xJYWqCsDDDBCJibgcXMgOJn
 sDBHaZno9n9TFE4P5OYI3NzdodeZjCbZzSNVzG8yEj1s2w5bW5SU4KefRNc1
 a/HsOfR6sYbhIwT2LKXlKHqG9HTUrYuSUtFiNEKANqHSKH4CGpeqAtSm1Drw
 k2hk658qGuSdO+BcA65uAk6/AVWAVALqxKOyEjq1wjVUPzmrwFvFVSsDB8DJ
 GcXFVa9ONeDkAMUEWYalpYqryiujCW5u4lU2g0sNODhUkeBP4a8hiEdZ4llR
 JsiR8/jVBah1Ym9jg7t30agRXF3FMztb4PRigVUDBrwtKuXlVa/Ozlj2Bdq1
 Q1QrTJ+B1q3h74ev/o6gQPTtq/aswJz56NUXo0bCo2YVW/7bZVAQuIZ330Vm
 Bh5nQ5Zw/YaAYTSZXoowF+Dri1q1YGGFx49Rr74gIUWFRZMWrfTsIZancYnl
 1i0kJaFNa8ElN1dIenTugiOH8bQAZeXw9ISnB86dxZ7dYoWZmZA1Yv73RZM+
 qmh+PrrGIzxcvNrZWVILD0k6fq3YtUtp116h6MZ3U0wmZXCCqIeHi/qGDUqC
 +sp6j+6i4uUl6qzoIZ5v/nRQ+NPaWdG6STpF1v/JnwYqI10pK1eGDVO8vcVr
 q1ZlKgfU1UlSVcXBUbza24mnmWp2BgzAd99VEW36R1i0qKqdTeSbXgeJP0Jg
 XX3yR0LzExnCHyuirj7/PwtlwWCGNWsQ01pAUiqNkt6UoIM/jUTBTd31FBQW
 42k6sq9jxy7kFaOkAJkX8fNW7F6FCykouYtTh1BeiVMHcCsJl+4KvAWu/+pn
 Arlb/VVQ6k//1KH5KdizHsf3Yd9PeKrAx96ok786hPA2KFQUM53eXhBMKYep
 FLoKSFyWO4zXgNnAr9A/hJG67wP0BuZSACHb03j9W5pyfdSfnUAkkMb5gTpA
 BLAB8AIOAvHA70BtgMq2D3gP2AHkqKOCyE3gPmADuAAXYPSB8bk65InaqEe4
 VYWMYKCRQEJeDKyAyQ8SpYtWcgUQA3096C8AD4BVgBP044G79HtAqrqMgP9M
 Is4BzYE9QC3gBDAIKARCgK0qKjSOtLukyy3gSyBaRbon0JaGU+XsWSCUlgT6
 aOiXAmFVkxJNIcPy+cNoQoEyIlcnBjioi0tWCeCqQhymzsc1cI4iFekCAQ5U
 FfP/bAHfA/3UldMo1wQsVMw4EV+TgKYAbaK1Cl+19Mik9QVaqUPIN5Lfneqo
 tlsBgS8XEI4KnWx5FHK0oIEMGFRB49LYm082kgBs4ZPqqVkytpOzLBQercO/
 KdpYUoQioVlsjqpQJ2KFn7QKARIUIRMHFg0+18AKW7Qh2nC2kHaqVinFCI9W
 dNqQf1W0WVj+XMhD/DX0tIVoFNBAsU6cq0lRjfabmKiRSlVPjQLaKK43PDRM
 rxGaT37gU6fXaa8m1Yzb2FgbLAzCcggmqCbzn3/aKD7f7CDwk2RnZ0d+tbA0
 59Paxsra2loDzgVZWIhGvjo62Ds5OwmZfgM+p5YNBgcnR4GnipKdnU1VT7Fo
 vb5L5y41vb1//OFHcwuLTz/5tMLI0I4Bz0CGNCyTp07t32+gpJf5qhhNb/5k
 yaxrXFc9nYheqv6qg0wfTzjllcpf3p8QHRMdF9eN0PwDgmrXEb6d0OydnCZ9
 MFnjSUBgrclTpgiivpjCaNSxLgJEwMPTozVDFEEFagCmTf9Y68lnSUmpZDQa
 u8R12bt3b7du3Tp06PD999+zt7OTc+u2rbvFd0tLS2vWtBm53r179zZt2gwa
 NOj2zdtLP1/apHGTevXqbd68+eDBgwlDEzh21pxZP3734/Tp0zt27rj/wH4T
 TEXFRXqd/s6dO7Xr1Pb18ZVlefiw4ScTT2YzxmLRge0TJky4ePEiP1mYWyxf
 vjwyMvLIkSPf//D9lctXDh89/PXXX7PjzE9mnjt7bsqUKcENg+fOm7t3z96x
 48empqaGhYa2bR+rVxTF0tLyxo0bzZo1Cw2jucLDhw/fGfzOb7/9Vr9e/YCA
 AFaCagVt2rQpNDT09u3bkdGRbs5unMbF1WXdj+uIpYuLy44dO5o3br5oyaKY
 1jErvqAB5i7CctGiRfPnz4/tEGsmm504eSIsPGzEyBHt27fXpLzkecmHH344
 fPjwb9d8e+XKFZcaLklJSbdu3xrz3phrV6+FR4TfvUMbJMrnyz4vLyuvNFY+
 ynoUEx0z6YNJ27Zus7e3d3RysrWx0fv5+uXm5C5YsIAEOHLoCAe0aNGibdu2
 QQFBXt5eubm5wW8Fk5GRUZF2dnanT5/u2KHj7DmzK5VKGxub7JzsT2Z+cujw
 IbLO1c3V28ebsrds2TJBXxYKNKVUlmysbYjfM+4kaE7KK+rUoTPjTkN/8sTJ
 WkG1Hj56KBZsySVbsE+dunV279rt7+9//Phxb29vfnr69Gm//v1uXLvx1ltv
 hYWFJSYmtopuRdZ5e3s1bdpUYBYUGNSKsSJNfyCNP0NITz79/PxiY2OJZfOm
 dELo1asXJ46MoEfFyJEjRTcPT1cX1xrONaKiohwdHPmcO2euaw3Xmp409TCT
 zGp6iQp5KOml6Ohod3d3Yunm6rZ0Kb0Rw1KZAta+XfvZs+nnUdOjJj+xW88e
 PZs0adK3X9+OnTpqHIiLi2vXrl2Hjh0Ip0ePHg72Dl41vbgSR0fHvv36C0rI
 koDF8TQRIuJ6I+Zau3atBqu6UG083D3iusRxFBv79u1LCQx5K4Qk6dix46hR
 o8gutnMyJ0cnLy8vzqKNJRKUqGo4jRs35kBbW9v33mMUgXZt2tWrX+9dBv6v
 FIoZIbCBncPD1DD6RWkZGoY+vftwxdQBc3PzY8eO8ZOdrd2FSxc0DDi9JEnN
 mzdv3aZ1VGSUvZ29j5dPjRo1GtRvYDAYGoc0JuNr1qzZoEEDCws6WFE2btno
 7OxMaFRctrdp3SYhIYGd+emvS//qYOdAC8E6V2ttJehFJnMWDvlg8ge2NrYj
 Rwj2ik86nburO8XPYGbgkzN6eHi4OLuQw/YODMJECY+I1F+7fo0EOHDgQFlZ
 GS2GIEP7dp07dv7L+39hfdsv26gkFDgiytfefXovWbKERoYsJt529nbbtm+j
 LvJVWzBLTlZOj+49mrdsPmbsGKVCie0YS7SatxBy2LxZ8xquNbb8vIUCOWfu
 nFGjR82cNfPE8RMVSkVs+1h/P38i3aVLF/YkikOHDl32xbIBAwcsXLxwzbdr
 4rvFW5pb1q5bmy29ezEOqyp6k1qKi4tbNG+xZPESrbmwqJBqxH7UMycnp+Qb
 yU+ePKEleW/0eydPndyzZ09qWqrOpLt582buk9xVq1fl5+dTrbWxVtZWOTk5
 Vy9fzXqU1bd/Xxsrm5ZhLWlz+ImGpbS0NCM9I/tx9sCBA2mg+fXQoUOkHa1Z
 4slEOwe7Zi2asSct4Zw5c1avXs0lFRcWT5s6rX1s+3up927duvX2oLdLSl9s
 CGkMIiIiiGtgQGBYRBgXzcFJp5N279w9dszYn7f+TDNPz5aZmUlBmjRxEsdT
 MDh9wdMCpVKhD3n44CHF4GneU5o5bQGZDzJzsnMcHBy4kuysbB8/HyLt5OAk
 ICcljRg+4kneE8obBePw4cN///LvIY1DSMGMjAwyLSo8yqhlIID1G9Y/zX9K
 dbp5++bQYUM5ERtLn5c+f/7c3rZKhKr58LJC46Bup+jUaQV1NLesU0z/oOs/
 N7GzrGeWSE+7SWvzqiVgC/sS8mtAaDy0Fo7SJq0uGpzX+r/aR4MmdIBWn1Zp
 1qxZQUFBEeERikmhxvAbCU9vOnXqVOr+1A+narBmzpj5hysR84lQgmkU47Ch
 w2jsXl3zuLHjqNOErI0lHgbZQMXo0bMHTaGYS2RhtKgCQ4cIKWDL1ClVk1bP
 yD5VNGI492K9Ei0UpbxT50779++nCbt+/Tpd3cULF9etX9copBGlkPxq275t
 QX7BkOFDHmU+6tOvz6ULl9asXUOXRB2ga6NtoZ/mglPTU6m16Rnp9Bjnz5+n
 E0xPS+/UpdOzZ8+KCosmTJxAWaX9Pnv27PzP5j96+Ojd0e/u3LmTps/c0pwm
 jhaC9o1Ot1GjRsNGDKPNuXbl2oRJExihUeQ++vijLZu3cBZSSmMv694+PvqC
 ggLKN0XwcdbjvPw8fli4cCGjEcY5rVq1qqioqDRVpqWkUavKSsqiYqLu3L7T
 MKTh0YNHKbu9e/dmoFGntvCsLNu3bv/yyy9JfsYChEkDffTo0YjIiMQTifUb
 1L969eq5c+fo79iT+sMQY8SIETExMQf2H6A/3rBhQ15unnMN5wdZD1xdXSe+
 P/H82fO0YIcPHp45c+Y333xTWFAo/O4bRU+rTP9F1SQ3W7ZsqXWgmeMAAuJa
 ZTOZ2Dg4OlDLbyff9vHxGTlsZFo6d0rgkMWLF+/ZvYcSwtccZi5phays+Moh
 tWrVGj1m9IWzF+izjx45au9oP3nyZJogQTzFyEiJdpP2h7pWXFTctElTmk5r
 S2srpqXU4uPrs37d+sEJg1lnJEeiuDFR9UYR0xAKI0SDuYEYM9Jgn127dqWn
 p5MhnLioqOh+2n3q/vlz50+cOEEDSpP6+7HfbyXfohSlZaTR5jDIq6ysfPz4
 MT9RbC5evsj4iiE+63dT7iadTaJGspw6eYqcTElJoSFi5/LycvZPuZtC5pxK
 PEUB3rhh4927dzmWf+xGR3712tXk68nUKDMzM3KbBo3WRVuFJkIvV0Rvr0YR
 /P5y+1Vdf81KvEkJdzf3WrW5aRdl4oSJ5Cp9k/b69sC3zZjNeVHM9KKuZole
 349SvhkL8SujMrqI12bRcKt+8msErdCAAQMYJ+/5dU+AfwDXR02nBeCrFvea
 dCYa7EHvDKq2EsKGGAxWllY0COzQv3//TZs3CY77+QQHM8OhFh0zX2ZamMly
 4+YNmjRGB6xLOqnCWKGFQy9hqkqZMDiBzoQRNesNGzbkTlCzhzRwDGHEWEkk
 erSn9okzSTQR7E03vPzz5QWFBUlnkui6hw0ZRgatX7+ejp37KcYtnTp1oudn
 NEo9o1mwsbUhlxnoduvejWJNw9+2TVuKOOVw+IjhFDz6vk8//XTKB1NGjx1d
 UVbxOOfxjBkz6JsYfdD1Xr1+lep+7vy5aR9Oy8vLu3zlss6oo8qm3ksdO24s
 TRNd26zZs2haJk2aNP3D6RRmWzvbefPmcVPByHzK1Clz585dsWKFq6ubnt6U
 ofzYsWPXrVvHzQ4XRS/LoGXlypX5efk7d+3kp8RTibTKly9fpoaRIUSae6X7
 95m+AUN2hglEhQo9bty4qIgo7nI0a0iF2bN3Dw0xHXCLpi3oxSd+MJFmgKNo
 OmnBBvQbQC/bpVOXz+Z/9sO6HxKPJ54+c5pbLUFYnY5cohpwF8YNBndkq9as
 +sfX/ygpKXlW/IxPCo6Ptw+prOdukDZh+kfTac60GGPBZwvWfrf2wvkLwSHB
 1DO2kAzcNtCMFhYXMmwU7E5ICGMoK44zTF/9/StuROlMyNYLFy8wNiEnKR4i
 cjaYEQ9aMK6EFtPCYEFnx1FsJK9o35b/bXlpeSnlreRZSdvYtqEtQ6m/7MAh
 ZNHEiRPJ8JBGITS7udm5tOnc1o6fMD7QP5Co02y8rkNUEWrYm169SrJf/BNq
 pJoCTR0p1q914KumIX9YtFEsZFFAYMCc2XNe6/YmDtLLrMo/9Y2IiBIBzL+a
 6X+vnXyjkGjc+Per/Tc4cLiIhf4rLMWUIr9SNTGNBlF5FQI/VYelVe1qf9Ht
 lYHEni1kuAii/oiB/zlWem1KPrWfOI00MqQVLdpWQUR16j+21K1TlzEZDa7W
 mcpKo1aNMVvo0bmz0cYSDp/szz0UDR8rjvaO4hObVRMq5PBFvk701NYpzgXV
 SFKraDi8qGiYMNarJpz+4xkf+wf6b/lpCzcK9JqchnpDtBhiMAriT6gLK2oe
 vf+A/pTa/gP7axRi9MotiHAd6iLZkvU4a/NPm1kRAyEGsh7XNY5qysrseWL/
 TlBcM5+cSwBnhUQ0VTLiEP0FelWNGoRqUFpd9GcwpUKuKFd03E+OGz+OkRNj
 Fe47GVc3btJ46uSpx44fY9y2es1qZrJIp1+2/0ITTkPu6ebJgIwBj8HacPi3
 w1HRUUwZMOwjuEuXLjGQ3LdvX3x8/K+//pqZkRkYFMg4jMHzhk0bGJMx3ly6
 ZCnpRVM76t1RTC6RUkw3rFq5ijkoosFd1JmkM7dv3WZCjVuwadOmcUf//vvv
 MxaMj4ufNn0aTRzjF4Yq3eO70+XFxnbQk+NFBUUp91IY6DIhQzxoZWn+yF9G
 xVs2bvH08tyxfUfnuM4M40jo/IJ8BjY/rvuR2n/k2BEGMMycWVpZMqZiBMXh
 3F7SMzKUOH/hPBNejHm4w6QFZFZn1apVGZkZjk6Oru6utPfh4eH169dnyMA0
 BGOtld+sJPaEsHX7Vrot0oipHYKlWac3YC5owcIFDIp8/XzLSssIhD73s4UL
 9YxpOZLJGXo4BvQczwTOzh07uYnu1bNXWXkZX7keBnwkKpMopBn3Iow3uXLq
 HxGlJjALxITAkIQhXMmjR484loEXPQPTGcz2MWLr3KkzzTan5zIYUwx+Z3Bh
 YSGjPXZmsjHlfgp9JfM/WrjBLFNWVtbab9dydr4yb8eQjrmStNS0K1ev7Nm1
 h9tlxnxNmzXt2KEDSFdi4O3lzQ0ei8hzWIowg2kf5q1IHlaYuGSdfRjwUZoZ
 mbAzQ0V2Y2KLCQttg1c7iEdFotDJa0mKTRtFmMTAiQNJRfZknWkOPimuWjzT
 oJ7I0Pj5+BGstrVgloUzkv98auvRMm6kCO0HK0SSrGNl0Nsi2BZbUq2VFNX2
 bK8GpNonDbNqq6d10PxL9UCtj7uHO7VCq2vh3asA/9BLvhqZvmZVq3fS1e2s
 VANhYouk+x92ZDRKNBQaWJqL/3H4Gmk04OH1InXyRlkc2uWT0+qFDO1Ih0av
 UFZPhxTxLNHB2iTOedSDiaprD0x/kMPPeKypekOeB1jyYod6nMLhpTyNkGCl
 ujx+5/8yFYh23sJZCK1UhmSCVaU4TSJYps7yVGraEbcXfdjA4Tyh4ldqRJkE
 a/bX8ycWIEdK+vF6NKAsKzgaDxc9kmJha4ZN76LHYTgbsfcd3GyJ1ucxfwns
 ZNwMRUpT8Dj2cV1I9lgzEVFX4VMoetobsH6MOPkz2ONYV4Q8hFcRdg/Bcy+k
 hUC2Q8NMbB+OQl8YnXC0O8880TBDXMb4eRQ8ypFTF8tnIGEHahixcRxsZZyM
 g1s5rkXgdEcEP8C3E+FejuB07E5AjTLUzTY6w9veR70DoBW/e8ixwcaeMCvE
 U/WSB8sPfbAzFqdb4pmMyMOwzUP0Aexuj0MRsMtB7etw5YGjWiTeIqnAtnjM
 m4RyE/ZHi8aQs7DJwaK/CCB3g+CYhd9i8O1A+N3G8RaiwxNH1LyHbwbDPhvJ
 /lWg1vVAYlP82BuZLmKuzfHwyBBcSvUQHVYmILnKWgg2ygdl2cQf5HRP+Wik
 XC7LBXbysUj5uaVovFFHLjPIx8NlXoHi6/42ckZN+UZd+YmDnBIgWqp/3GYd
 jBGvtwLFr8xMNulkimSpQVb08rV68vV68rW6osPVBnKOk3zHX9TzHOSkpqLD
 I1c5qYn8xFE0PnaRk+uIyu1Agc+dAPE730i+7yumZuNTO36lNIaXUoQG69Xz
 aiMK7bGpH9ICBFUSw9EgGbZF+HARUn1xJZhbORTb4EwYzjZFr19QNxltjuCX
 bqgww5RF6LNV6ACHrxmGRpexOw52xfB4hBlzke6LU2Hia6YX9neAWQW294R9
 AX7ug7aHYVmKz8cj8D42DBQ9DeXwTceMOSizFPOWWyC5Pr4bApdcHIuBaw7y
 7XGlEfZ2xMVGxvAz3pW+r0Sj3pkos0CRNbLdUOMJcsXGBWXmKLBH4D2Um8P9
 EQ62Ro4L0rwReQJPHbCrKwJS0OhSFeutnuPr8fhiPGrk4amavrxTS8DJ8MLJ
 CIE0VdX5CXJqIOw0Qq6IDvcCcCoCro8RcRKWJcgUZyIITcKtOjgZDptn8E7F
 vUBkuQuy8retJ462QpdfRSMLM8wUIXGoTw5QwY16YQB50HqjHppfED0eucMx
 X/S24FG/Ea7ZMJThgTd801BqDgvKPc8njSJdQOPJWX3ShNHI9IBvBsxocYwo
 tYB5qVgtITzwFBcwyARDBZ5bwSdDjH1uiTwneDzGHT/UVc/FimxgW4wrDeCe
 jSw30Y3FgfdOPMEYnITOd4DepNgXhJdFVXPAiAtNMGMe/jYJX40R9ZPqnYRR
 Xwssu23H5RDsiIdVibCAxJ6AzCuEXInbKATC+2rA1AXYGS+eFJKDpIoR86Zj
 6BpcCkFiGI5Hosc2sZLP30e5AatGCuzPN0bCt7B+jtVD0Ee9rMcS+Tuu18cX
 7wtiP/TAgbb4PUqs6nQoEkMxbDWS6wp+ivCXG1ehA+IkW4AusRIsbnAdmb7o
 tA/m5bB5jl+6Y/Q/cKYlnjqi3aGqbIiJqGsOVHUNwlPTUcgoN0PQffHa9AKc
 8nG7tpByipNfOs41g0UFGtzA9YbovRUKe6bAMwsPvVHzAZpcQq0UwQ2PLLFa
 ylian1CnTQMRfBXWJYIbUiUaX0KBHercoVbw3NsbXtUipCDXCWdC0X4/SiyF
 Enf6TRXiQAF3W3e0OCvk5/dIuOUILJtehFH1dFoRx/tGXA4W6Na+I+ja8LpY
 /9WG8HwIs3Kh6w+9BCr3/OGQD8enVcumyj2oCbsi6Ctxsw5ifhfQUvzhkiPo
 xbE0f2ebwbxMjD0RKdbAsdzNVxgU+8zwgq6vKDGlmWyK34kV1MJcbFGPcd77
 GpfewvBVQpVHrBTEI0OnL1SxfuFWxYkEL7s4o99GeD7CzNm4VRubeT+F+fjZ
 mDsT+2LRcxvcHwp5C7gv9F6wTWX7fT9MXYQ9nfDBX4VkU/xYmp0T5qh5Ejap
 9wYnLEOhDTr/itMtEJiCJZNxrSEm/U1ovFTG6zZAE9HNmBxo9M2UbtY1uuZK
 B9tWDvlBxARFNsYT4ZWd9uu/GINB63W/t6r0u48H9lKXk+oKqqIK7baJaX1X
 hF7BtQayey5CLlN5lGRvKb2uiUyPSMQ9PyNNSmqA5Jpn8syEQ5EgHg0L6dp5
 r7BUVLNuO4QNOMjYxoR2R7ByuJAlmlf/FAYdRqnEGJSBtX2FBXviBOesCFMb
 nRy4GvbRSlGRT0BF9zj5i3mlFv5SaXa5bx1r2ahPecjrWxWdWpvtPVaq0xtM
 iuLoIH08xzS5iyXoN0vg6AZnB9xN5mGO6dO5z1asMNPJSm6OXjKZV96R3l1Y
 +s0iRe9hMlLq9MaQ2vrMJ6YnqSYwV2uSuTXkJQwhdbRUvGbFOq12mZmQKBoJ
 apRFKUUFskLbqJSY6gfqbF0M/t7PMnLkhrWN38w1RXRheJPCjKyItlsEo18D
 uI7CwwdoNx6Jp9C+Azp0VXk4H9mHMesTpN7FZ8vhlYF2jcUF5F+PIKo52jVB
 cALeG4X0n+FxH53jsXgfz5vQKAiTIpG9Bx9Ox+BBGDwYT57grRgUFyI5GY72
 mL/sn4LD6ms4r6erXiha+l0M6gs/E1p4wk6HH/JQco6uXn9I1vP6S4XBwEsT
 yoQJiq+vYmsn7jX2H8A4SZElZfESxcND8aqpdOuuODkpNWsqbduKm5e8lMmD
 JUsLpU0bxd6OZ1Oiv7+feGo/FxcBJy5OsbIQr23bKR07ihucri5Ky5Yvu/Eu
 JqfWLmi+eoOTgVr1NU22Bwcrrq5KSIjoFh0tekZElFQpMaWZFOKhP69MkwM/
 fI+MDO6nMHoUr05g6hTw2oCLmyBeXh6mfSTuvioKykpF/mD0GBw+DOaPP54B
 a2txI/zTWeLKa0gIbG14bI7du8Vl4dhYcal33z5cvyqulefmIjQUtWtj8mQE
 1RIAY2KEUn31JTeDgj8bNqgXmarOLAUXeODo5wMvb/Trh9ZUE3ofo1AZbUMj
 37snTZwoDRksNW7CVA/VUvzOJEnRMdLyZdL7E6R166TrN0SjlZVUVCw9fy4d
 OCReCwvE08JcatFSiu8qfTRdunZVsraUuveQ+vWXBgwQX5s1l2xtebVH8g+Q
 ZnwqxcVJka2kvy2VeJSTlSWlpUu9eknjx/G0RXJzkxYsljy9uMEVA3nxlE8T
 3Q6kVlFSUB0puKFAr7REMjOTlAoDU4uLgJa83VPJswAeEg6DSPerl7kLi8Rt
 VV5O4k0F3homMC0NJ5KR3LpUcvOKoiJxE/UZ4wze5ZLEbXxulZ+pl/OZcSss
 FF+LisVYUstAR6fwHojwfqy4ugh++vnhbooA6+EhbtdzL11QKJ4lzwWQ/IKX
 N/w1bvAGS/Zj7o95F5wi5PD/AAQexQcNgDq9AAAAAElFTkSuQmCC

## dexter 0.2-2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: Dexter
-# Generated by qmake (2.01a) (Qt 4.6.1) on: Mon Feb 1 02:14:12 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Feb 2 01:30:11 2010
 # Project:  TekstiTv.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile TekstiTv.pro

=== debian/changelog ===
dexter (0.2-2) unstable; urgency=low

  * Default site, creates default config file (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Juha Linnanen <pillar15@gmail.com>  Sat, 23 Jan 2010 17:02:17 +0000

## dexter 0.2-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: Dexter
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Feb 2 01:30:11 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Feb 7 19:07:57 2010
 # Project:  TekstiTv.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile TekstiTv.pro

=== debian/changelog ===
dexter (0.2-3) unstable; urgency=low

  * new subpage padding handling
  * own url for subpages
  * start page setting
  * bug fixes

 -- Juha Linnanen <pillar15@gmail.com>  Sat, 23 Jan 2010 17:02:17 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 
 Package: dexter
 Architecture: armel
-Depends: 
-Description: Quicky read Text-TV (currently finnish YLE support)
+Depends: libqt4-maemo5-maemo5, libqt4-maemo5-core, libqt4-maemo5-gui, 
+ libqt4-maemo5-dbus, libqt4-maemo5-network
+Description: Quicky read Teletext (Text-TV)
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAIAAAAlC+aJAAAAAXNSR0IArs4c
  6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAB6sSURB

## dexter 0.2-4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: Dexter
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Feb 7 19:07:57 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Mar 4 00:11:24 2010
 # Project:  TekstiTv.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile TekstiTv.pro
@@ -48,24 +48,32 @@
 		numberbutton.cpp \
 		imagewidget.cpp \
 		mainwindow.cpp \
-		commontekstitv.cpp moc_tekstitv.cpp \
+		commontekstitv.cpp \
+		GestureWatcher.cpp \
+		GestureReader.cpp \
+		Gesture.cpp moc_tekstitv.cpp \
 		moc_numberbutton.cpp \
 		moc_imagewidget.cpp \
 		moc_mainwindow.cpp \
 		moc_abstracttekstitv.cpp \
-		moc_commontekstitv.cpp
+		moc_commontekstitv.cpp \
+		moc_Gesture.cpp
 OBJECTS       = main.o \
 		tekstitv.o \
 		numberbutton.o \
 		imagewidget.o \
 		mainwindow.o \
 		commontekstitv.o \
+		GestureWatcher.o \
+		GestureReader.o \
+		Gesture.o \
 		moc_tekstitv.o \
 		moc_numberbutton.o \
 		moc_imagewidget.o \
 		moc_mainwindow.o \
 		moc_abstracttekstitv.o \
-		moc_commontekstitv.o
+		moc_commontekstitv.o \
+		moc_Gesture.o
 DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
@@ -176,7 +184,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/Dexter1.0.0 || $(MKDIR) .tmp/Dexter1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Dexter1.0.0/ && $(COPY_FILE) --parents sym_iap_util.h tekstitv.h numberbutton.h imagewidget.h mainwindow.h abstracttekstitv.h commontekstitv.h .tmp/Dexter1.0.0/ && $(COPY_FILE) --parents main.cpp tekstitv.cpp numberbutton.cpp imagewidget.cpp mainwindow.cpp commontekstitv.cpp .tmp/Dexter1.0.0/ && (cd `dirname .tmp/Dexter1.0.0` && $(TAR) Dexter1.0.0.tar Dexter1.0.0 && $(COMPRESS) Dexter1.0.0.tar) && $(MOVE) `dirname .tmp/Dexter1.0.0`/Dexter1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Dexter1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Dexter1.0.0/ && $(COPY_FILE) --parents sym_iap_util.h tekstitv.h numberbutton.h imagewidget.h mainwindow.h abstracttekstitv.h commontekstitv.h GestureWatcher.h GestureReader.h Gesture.h .tmp/Dexter1.0.0/ && $(COPY_FILE) --parents main.cpp tekstitv.cpp numberbutton.cpp imagewidget.cpp mainwindow.cpp commontekstitv.cpp GestureWatcher.cpp GestureReader.cpp Gesture.cpp .tmp/Dexter1.0.0/ && (cd `dirname .tmp/Dexter1.0.0` && $(TAR) Dexter1.0.0.tar Dexter1.0.0 && $(COMPRESS) Dexter1.0.0.tar) && $(MOVE) `dirname .tmp/Dexter1.0.0`/Dexter1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Dexter1.0.0
 
 
 clean:compiler_clean 
@@ -195,17 +203,23 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_tekstitv.cpp moc_numberbutton.cpp moc_imagewidget.cpp moc_mainwindow.cpp moc_abstracttekstitv.cpp moc_commontekstitv.cpp
+compiler_moc_header_make_all: moc_tekstitv.cpp moc_numberbutton.cpp moc_imagewidget.cpp moc_mainwindow.cpp moc_abstracttekstitv.cpp moc_commontekstitv.cpp moc_Gesture.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_tekstitv.cpp moc_numberbutton.cpp moc_imagewidget.cpp moc_mainwindow.cpp moc_abstracttekstitv.cpp moc_commontekstitv.cpp
+	-$(DEL_FILE) moc_tekstitv.cpp moc_numberbutton.cpp moc_imagewidget.cpp moc_mainwindow.cpp moc_abstracttekstitv.cpp moc_commontekstitv.cpp moc_Gesture.cpp
 moc_tekstitv.cpp: imagewidget.h \
 		abstracttekstitv.h \
+		GestureWatcher.h \
+		Gesture.h \
+		GestureReader.h \
 		tekstitv.h
 	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) tekstitv.h -o moc_tekstitv.cpp
 
 moc_numberbutton.cpp: tekstitv.h \
 		imagewidget.h \
 		abstracttekstitv.h \
+		GestureWatcher.h \
+		Gesture.h \
+		GestureReader.h \
 		numberbutton.h
 	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) numberbutton.h -o moc_numberbutton.cpp
 
@@ -215,6 +229,9 @@
 moc_mainwindow.cpp: tekstitv.h \
 		imagewidget.h \
 		abstracttekstitv.h \
+		GestureWatcher.h \
+		Gesture.h \
+		GestureReader.h \
 		mainwindow.h
 	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp
 
@@ -224,6 +241,9 @@
 moc_commontekstitv.cpp: abstracttekstitv.h \
 		commontekstitv.h
 	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) commontekstitv.h -o moc_commontekstitv.cpp
+
+moc_Gesture.cpp: Gesture.h
+	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) Gesture.h -o moc_Gesture.cpp
 
 compiler_dbus_interface_source_make_all:
 compiler_dbus_interface_source_clean:
@@ -257,23 +277,3 @@
 ####### Compile
 
 main.o: main.cpp tekstitv.h \
-		imagewidget.h \
-		abstracttekstitv.h \
-		mainwindow.h \
-		sym_iap_util.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp
-
-tekstitv.o: tekstitv.cpp tekstitv.h \
-		imagewidget.h \
-		abstracttekstitv.h \
-		numberbutton.h \
-		commontekstitv.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tekstitv.o tekstitv.cpp
-
-numberbutton.o: numberbutton.cpp numberbutton.h \
-		tekstitv.h \
-		imagewidget.h \
-		abstracttekstitv.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o numberbutton.o numberbutton.cpp
-
-imagewidget.o: imagewidget.cpp imagewidget.h

=== src/Makefile ===
#############################################################################
# Makefile for building: TekstiTv
# Generated by qmake (2.01a) (Qt 4.6.1) on: Thu Jan 14 14:09:08 2010
# Project:  TekstiTv.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile TekstiTv.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		tekstitv.cpp \
		numberbutton.cpp moc_tekstitv.cpp \
		moc_numberbutton.cpp
OBJECTS       = main.o \
		tekstitv.o \
		numberbutton.o \
		moc_tekstitv.o \
		moc_numberbutton.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		TekstiTv.pro
QMAKE_TARGET  = TekstiTv
DESTDIR       = 
TARGET        = TekstiTv

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: TekstiTv.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile TekstiTv.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile TekstiTv.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/TekstiTv1.0.0 || $(MKDIR) .tmp/TekstiTv1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/TekstiTv1.0.0/ && $(COPY_FILE) --parents sym_iap_util.h tekstitv.h numberbutton.h .tmp/TekstiTv1.0.0/ && $(COPY_FILE) --parents main.cpp tekstitv.cpp numberbutton.cpp .tmp/TekstiTv1.0.0/ && (cd `dirname .tmp/TekstiTv1.0.0` && $(TAR) TekstiTv1.0.0.tar TekstiTv1.0.0 && $(COMPRESS) TekstiTv1.0.0.tar) && $(MOVE) `dirname .tmp/TekstiTv1.0.0`/TekstiTv1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/TekstiTv1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_tekstitv.cpp moc_numberbutton.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_tekstitv.cpp moc_numberbutton.cpp
moc_tekstitv.cpp: tekstitv.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) tekstitv.h -o moc_tekstitv.cpp

moc_numberbutton.cpp: tekstitv.h \
		numberbutton.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) numberbutton.h -o moc_numberbutton.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp tekstitv.h \
		sym_iap_util.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

tekstitv.o: tekstitv.cpp tekstitv.h \
		numberbutton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tekstitv.o tekstitv.cpp

numberbutton.o: numberbutton.cpp numberbutton.h \
		tekstitv.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o numberbutton.o numberbutton.cpp

moc_tekstitv.o: moc_tekstitv.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_tekstitv.o moc_tekstitv.cpp

moc_numberbutton.o: moc_numberbutton.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_numberbutton.o moc_numberbutton.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
dexter (0.2-4) unstable; urgency=low

  * experimental gesture support

 -- Juha Linnanen <pillar15@gmail.com>  Sat, 23 Jan 2010 17:02:17 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 
 Package: dexter
 Architecture: armel
-Depends: libqt4-maemo5-maemo5, libqt4-maemo5-core, libqt4-maemo5-gui, 
- libqt4-maemo5-dbus, libqt4-maemo5-network
+Depends: libqt4-maemo5-maemo5, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-dbus, libqt4-maemo5-network
 Description: Quicky read Teletext (Text-TV)
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAIAAAAlC+aJAAAAAXNSR0IArs4c

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := Dexter
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	/opt/qt4-maemo5/bin/qmake TekstiTv.pro
	$(MAKE)
	#docbook-to-man debian/tekstitv.sgml > tekstitv.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tekstitv.
	$(MAKE) DESTDIR=$(CURDIR)/debian/dexter install
	cp Dexter $(CURDIR)/debian/dexter/usr/bin/Dexter

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dexter 0.4.2

=== DESCRIPTION ===
Package: dexter
Type: Package
Title: Data Management and Analysis of Tests
Version: 0.4.2
Author: Gunter Maris, Timo Bechger, Jesse Koops, Ivailo Partchev
Maintainer: Ivailo Partchev <Ivailo.Partchev@cito.nl>
Description: A system for the management, assessment, and psychometric analysis of data from educational and psychological tests. Developed at Cito, The Netherlands, with subsidy from the Dutch Ministry of Education, Culture, and Science.
License: GPL-3
Encoding: UTF-8
LazyLoad: yes
LazyData: yes
Depends: R (>= 3.3), RSQLite (>= 1.1.2), shinydashboard, shinyBS, DT
Imports: DBI, graphics, methods, utils, tidyr, colorspace, shiny,
        fastmatch, purrr, formula.tools (>= 1.6.1), rlang, dplyr (>=
        0.7.1), dbplyr (>= 1.0.0)
RoxygenNote: 6.0.1
Suggests: knitr, rmarkdown, latticeExtra
VignetteBuilder: knitr
RdMacros: Rdpack
NeedsCompilation: yes
Packaged: 2017-07-18 04:53:28 UTC; partchev
Repository: CRAN
Date/Publication: 2017-07-18 11:57:35 UTC

## dexter 0.4.4

=== DESCRIPTION ===
Package: dexter
Type: Package
Title: Data Management and Analysis of Tests
Version: 0.4.4
Author: Gunter Maris, Timo Bechger, Jesse Koops, Ivailo Partchev
Maintainer: Ivailo Partchev <Ivailo.Partchev@cito.nl>
Description: A system for the management, assessment, and psychometric analysis of data from educational and psychological tests. Developed at Cito, The Netherlands, with subsidy from the Dutch Ministry of Education, Culture, and Science.
License: GPL-3
Encoding: UTF-8
LazyLoad: yes
LazyData: yes
Depends: R (>= 3.3), RSQLite (>= 1.1.2), shinydashboard, shinyBS, DT
Imports: DBI, graphics, methods, utils, tidyr, colorspace, shiny,
        fastmatch, purrr, formula.tools (>= 1.6.1), rlang, dplyr (>=
        0.7.0), dbplyr (>= 1.0.0), Rdpack
RoxygenNote: 6.0.1
Suggests: knitr, rmarkdown, latticeExtra, testthat
VignetteBuilder: knitr
RdMacros: Rdpack
NeedsCompilation: yes
Packaged: 2017-08-22 22:00:24 UTC; ivailo
Repository: CRAN
Date/Publication: 2017-08-22 22:24:13 UTC

## dexter 0.5.1

=== DESCRIPTION ===
Package: dexter
Type: Package
Title: Data Management and Analysis of Tests
Version: 0.5.1
Author: Gunter Maris, Timo Bechger, Jesse Koops, Ivailo Partchev
Maintainer: Ivailo Partchev <Ivailo.Partchev@cito.nl>
Description: A system for the management, assessment, and psychometric analysis of data from educational and psychological tests. Developed at Cito, The Netherlands, with subsidy from the Dutch Ministry of Education, Culture, and Science.
License: GPL-3
Encoding: UTF-8
LazyLoad: yes
LazyData: yes
Depends: R (>= 3.3), RSQLite (>= 1.1.2), shinydashboard, shinyBS, DT
Imports: DBI, graphics, methods, utils, tidyr, colorspace, shiny,
        fastmatch, purrr, rlang, dplyr (>= 0.7.0), dbplyr (>= 1.0.0),
        rprintf
RoxygenNote: 6.0.1
Suggests: knitr, rmarkdown, latticeExtra
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2017-10-22 21:41:08 UTC; ivailo
Repository: CRAN
Date/Publication: 2017-10-22 21:57:08 UTC
